[arch-commits] Commit in (8 files)

Ionut Biru ibiru at archlinux.org
Sat Jun 26 11:15:01 EDT 2010


    Date: Saturday, June 26, 2010 @ 11:15:01
  Author: ibiru
Revision: 84126

initial commit for libva

Added:
  libva/
  libva/repos/
  libva/trunk/
  libva/trunk/PKGBUILD
  vdpau-video/
  vdpau-video/repos/
  vdpau-video/trunk/
  vdpau-video/trunk/PKGBUILD

----------------------------+
 libva/trunk/PKGBUILD       |   34 ++++++++++++++++++++++++++++++++++
 vdpau-video/trunk/PKGBUILD |   23 +++++++++++++++++++++++
 2 files changed, 57 insertions(+)

Added: libva/trunk/PKGBUILD
===================================================================
--- libva/trunk/PKGBUILD	                        (rev 0)
+++ libva/trunk/PKGBUILD	2010-06-26 15:15:01 UTC (rev 84126)
@@ -0,0 +1,34 @@
+# $Id$
+# Maintainer : Ionut Biru <ibiru at archlinux.org>
+pkgname=libva
+pkgver=0.31.0_p13
+pkgrel=1
+pkgdesc="libva with patches to extend VA API with data needed for VDPAU and XvBA backends."
+arch=('i686' 'x86_64')
+url="http://www.splitted-desktop.com/~gbeauchesne/libva/"
+license=('MIT')
+depends=('libgl' 'libdrm' 'libxfixes')
+makedepends=('mesa')
+optdepends=('vdpau-video: livdpau support')
+options=('!libtool')
+source=(http://www.splitted-desktop.com/~gbeauchesne/${pkgname}/${pkgname}_${pkgver/_p*}-1+sds${pkgver##*_p}.tar.gz)
+md5sums=('0e3d5a49d336cf77e497dfa741d592a2')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver/_p*}
+  for p in debian/patches/*.patch;
+    do patch -p1 < $p
+  done
+  autoreconf -fi
+  ./configure --prefix=/usr  --enable-i965-driver
+
+  make
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver/_p*}
+  make DESTDIR="${pkgdir}" install
+  install -m644 -D COPYING ${pkgdir}/usr/share/licenses/${pkgname}/COPYING
+}
+
+# vim:set ts=2 sw=2 et:


Property changes on: libva/trunk/PKGBUILD
___________________________________________________________________
Added: svn:keywords
   + Id

Added: vdpau-video/trunk/PKGBUILD
===================================================================
--- vdpau-video/trunk/PKGBUILD	                        (rev 0)
+++ vdpau-video/trunk/PKGBUILD	2010-06-26 15:15:01 UTC (rev 84126)
@@ -0,0 +1,23 @@
+# $Id$
+# Maintainer: Ionut Biru <ibiru at archlinux.org>
+pkgname=vdpau-video
+pkgver=0.6.9
+pkgrel=1
+pkgdesc="VDPAU backend for VA API"
+arch=('i686' 'x86_64')
+url="http://www.splitted-desktop.com/~gbeauchesne/vdpau-video/"
+license=('GPL')
+depends=('libva' 'libvdpau')
+makedepends=('mesa')
+source=(http://www.splitted-desktop.com/~gbeauchesne/vdpau-video/$pkgname-$pkgver.tar.gz)
+md5sums=('0aa9a5d444f1c661ad4f5bde1a89dcba')
+
+build() {
+  cd "$srcdir/$pkgname-$pkgver"
+
+  ./configure --prefix=/usr --enable-glx
+  make || return 1
+  make DESTDIR="$pkgdir" install
+}
+
+# vim:set ts=2 sw=2 et:


Property changes on: vdpau-video/trunk/PKGBUILD
___________________________________________________________________
Added: svn:keywords
   + Id



More information about the arch-commits mailing list